#ifndef TREEITEM_H
#define TREEITEM_H

#include <QList>
#include <QVariant>
#include <QIcon>


/**
 * @brief ͨνṹ
 */
class TreeItem
{
public:
    TreeItem(const QList<QVariant> &data, TreeItem *parent = 0);
    ~TreeItem();

    void appendChild(TreeItem* child);
    TreeItem* child(int row);
    int childCount() const;
    int columnCount() const;
    QVariant data(int column) const;
    int row() const;
    TreeItem *parent();

    /**
     * ݵǰڵ״̬,Ӧͼ
     */
    QIcon icon() const;
    void setIcon(bool status);

private:
    // 
    TreeItem *parentItem;
    // ӽб
    QList<TreeItem*> childItems;
    // ӽڵӦ
    QList<QVariant> itemData;
    // ʶǰͼǿ/״̬
    bool isOpen;
};

#endif // TREEITEM_H
